> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1members calendars



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/members/{memberId}/calendars
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/calendars:
    post:
      tags:
        - CalendarIntegration
      operationId: CalendarIntegrationController_create
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CalendarIntegrationSetupIntent'
components:
  schemas:
    CalendarIntegrationSetupIntent:
      type: object
      properties:
        googleCalendarAuthUrl:
          type: string
      required:
        - googleCalendarAuthUrl

````